Options
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
tableIdstringObrigatório
ID da tabela
fieldIdstringObrigatório
ID do campo
Parâmetros de consulta
sortstringOpcionalDefault:
orderdirstringOpcionalDefault:
ascRespostas
200
Field options listed
application/json
idstringOpcional
valuestringObrigatório
descriptionstringObrigatório
colorstringObrigatório
orderinteger · int32Obrigatório
404
Table was not found
application/json
422
A query param was invalid
application/json
500
An internal server error was thrown
application/json
get/tables/{tableId}/fields/{fieldId}/options
GET /api/b2b/tables/{tableId}/fields/{fieldId}/options HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
{
"id": "text",
"value": "text",
"description": "text",
"color": "text",
"order": 1
}
]Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
tableIdstringObrigatório
ID da tabela
fieldIdstringObrigatório
ID do campo
Corpoobject · UpdateTableFieldOptionListRequest[]
idstringOpcional
valuestringObrigatório
descriptionstringObrigatório
colorstringObrigatório
orderinteger · int32Obrigatório
Respostas
200
OK
application/json
idstringOpcional
titlestringOpcional
namestringOpcional
orderinteger · int32Opcional
table_idstringOpcional
database_field_idstringOpcional
typestring · enumObrigatórioValores possíveis:
rulestring · enumOpcionalValores possíveis:
aggregatestring · enumOpcionalValores possíveis:
visiblebooleanOpcional
enable_sortingbooleanOpcional
enable_searchbooleanOpcional
use_as_statusbooleanOpcional
field_typestring · enumOpcionalValores possíveis:
404
Table was not found
application/json
500
An internal server error was thrown
application/json
put/tables/{tableId}/fields/{fieldId}/options
PUT /api/b2b/tables/{tableId}/fields/{fieldId}/options HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 76
[
{
"id": "text",
"value": "text",
"description": "text",
"color": "text",
"order": 1
}
]{
"id": "text",
"title": "text",
"name": "text",
"order": 1,
"table_id": "text",
"database_field_id": "text",
"type": "TIME",
"rule": "DATE_TIME",
"aggregate": "SUM",
"visible": true,
"enable_sorting": true,
"enable_search": true,
"use_as_status": true,
"field_type": "DATABASE_FIELD",
"options": [
{
"id": "text",
"value": "text",
"description": "text",
"color": "text",
"order": 1
}
]
}